Subject: IBIS BIRD41.2 Modelling Series Switchable Devices

From: [email-masked] ( Bob Ross)
Date: Wed, 14 May 97 18:12 PDT

John Fitzpatrick and IBIS Committee:

I have taken BIRD41.1 and a number of comments documented in the IBIS
meeting minutes of 4/18/97 and 5/9/97 along with a Spice simulation example
that was distributed to produce BIRD41.2.  BIRD41.2 adds some details to the
discussion and takes out some of the details in other areas. 

It new keywords under [Model]s for:

   Discrete Series Elements:  Series R, L, C combinations:
                                [R_series], [L_series], [R_l_series],
                                [C_series], [L_c_series], {R_c_series]

   Series IV tables:          Series Diodes, etc.:
                                [Series Current]

   Series MOSFET Models       Series MOSFET switches:
                                [Series MOSFET}

Each of these devices can be classified according to Model_type as:

   Series:                    Fixed Series Elements

   Series_switch:             Series Elements with 'On' and 'Off' states
                              that contain series electrical descriptions
                              for both states under the keywords"
                                [On]
                                [Off]                               

The series connections and logic need to be described for the [Component]
set of pins by:

   Series Function Table:     Describes the allowable combinations of groups
                              of switches that have synchronized switching:
                                [Series Function Table]

   Series Pin Mapping:        Describes the pin connectivity and series
                              model and function table group association
                              of switches whose switching is synchronized:
                                [Series Pin Mapping]

This document is issued for the purpose of raising questions and generating
discussion on the reflector and at the next IBIS meeting.

Bob Ross
Interconnectix

******************************************************************************
******************************************************************************

BIRD ID#:      41.2
ISSUE TITLE:   Modelling Series Switchable Devices
REQUESTER:     John Fitzpatrick, Alcatel, Bob Ross, Interconnectix
DATE SUBMITTED:   Feb. 12, 1997, Feb. 17, 1997, May 14, 1997
DATE ACCEPTED BY IBIS OPEN FORUM:     Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

IBIS cannot model series devices. 
IBIS cannot model switches.
 
******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Two new keywords are defined under [Component]:
       [Series Pin Table]
       [Series Pin Mapping]
      
Two new keywords are defined under [Model] by IV characteristics:
       [Series Current]
       [Series MOSFET]

RLC series paths can be defined under [Model] with:
       [R_series], 
       [L_series], [R_l_series],
       [C_series], [R_c_series], [L_c_series]

Two additional Model_type values are allowed under the [Model] keyword:
       Series, 
       Series_Switch
            
Other changes are made in other sections that relate to these additions.

Add the following text somewhere after the [Component] keyword:

|==============================================================================
|     Keyword:  [Series Pin Table]
|    Required:  No
| Description:  Used to define allowable switching combinations of series
|               switches described in the [Series Pin Table].
|  Sub-Params:  On, Off
| Usage Rules:  Each state line contains an allowable configuration.  A typical
|               state line will start with 'On' followed by all of the on-state
|               group names or an 'Off' followed by all of the off-state
|               group names.  Only one of 'On' or 'Off' is required since the
|               undefined states are presumed to be opposite of the explicitly
|               defined states.  The state line is terminated with the slash 
|               '/', even if it extends over several lines to fit within the 80
|               character column width restriction.
|
|               The group names in the Function Table Group are used to 
|               associate switches whose switching action is synchronized by
|               a common control function.  The first line defines the assumed
|               (default) state of the set of series switches.  Other sets of
|               states are listed and can be selected through a user interface
|               or through automatic control.
|
|------------------------------------------------------------------------------
[Series Pin Table]
| Function Group States
On 1 2 3 4 /           | Default setting is all switched On.
|
Off 1 2 3 4 /          | All Off setting.
On 1 /                 | Other possible combinations below.
On 2 /
On 3 /
On 4 /
On 1 2 /
On 1 3 /
On 1 4 /
On 2 3 /
On 2 4 /
On 3 4 /
On 1 2 3  
On 1 2 4
On 1 3 4
On 2 3 4
| Off 4  /             | The last four lines above could have been replaced   
| Off 3  /             | with these four lines with the same meaning.
| Off 2  /
| Off 1  /
|
|==============================================================================
|     Keyword:  [Series Pin Mapping]
|    Required:  No
| Description:  Used to associate two pins joined by a series device.
| Usage Rules:  Entries follow these rules: Only series pin pairs
|               are entered.  The Pin 1 column contains the pin number for 
|               which input impedances are measured. The Pin 2 column contains
|               the pin name of the other end of the series device.  The
|               Model_name column names of the model corresponding to the 
|               Series or Series_switch device.
|
|               The Function Table Group column contains an alphanumeric
|               designator string to associate those sets of Series_switch
|               pins which are switched together.  One possible application
|               is to model crossbar switches where the straight through 
|               On switches are indicated by one designator and the cross over
|               paths are indicated by another designator.  If the model 
|               referenced is a Series model, then the Function Table
|               Group entry is required, but ignored.
| 
|                Column length limits are:
|                   Pin 1                      5 characters max
|                   Pin 2                      5 characters max
|                   Model_name                20 characters max
|                   Function Table Group      20 characters max
|
| Other Notes:  If the Model_name is for a non-symmetrical series device, 
|               then the order of the pins is important.  Pin 1 and Pin 2 
|               must be consistent with the referenced model.
|
|------------------------------------------------------------------------------
[Series Pin Mapping]
| Pin 1   Pin 2      Model_name      Function Table Group
|
  2       3          CBTSeries       1    | Four Independent Groups
  5       6          CBTSeries       2
  9       8          CBTSeries       3    
  12      11         CBTSeries       4
|
  22      23         CBTSeries       5   | Straight Through Path
  25      26         CBTSeries       5
  22      26         CBTSeries       6   | Cross Over Path
  25      23         CBTSeries       6

Under the [Model] keyword, change existing text from:

|               Model_type must be one of the following:
|               Input, Output, I/O, 3-state, Open_drain, I/O_open_drain,
|               Open_sink, I/O_open_sink, Open_source, I/O_open_source,
|               Input_ECL, Output_ECL, I/O_ECL, and Terminator.
|

to:

|               Model_type must be one of the following:
|               Input, Output, I/O, 3-state, Open_drain, I/O_open_drain,
|               Open_sink, I/O_open_sink, Open_source, I/O_open_source,
|               Input_ECL, Output_ECL, I/O_ECL, Terminator, Series, and
|               Series_switch.
|

Add text to the special usage rules:

|
|               Series             This model type is for series devices 
|                                  which can be described by [Rseries],
|                                  [L_series], [R_l_series], [C_series], 
|                                  [L_c_series], [R_c_series], [Series 
|                                  Current] or [Series MOSFET] keywords
|                                 
|               Series_switch      This model type is for series switch
|                                  devices which can described by [On],
|                                  [Off], [R_series], [L_series],
|                                  [R_l_series], [C_series], [L_c_series],
|                                  [R_c_series], [Series Current] and 
|                                  [Series MOSFET] keywords

Add the following text after the [Rgnd] keyword:

|==============================================================================
|     Keyword:  [On], [Off]
|    Required:  Yes, both [On] and [Off] for Series_switch Model_types only
| Description:  The 'On' state electrical models are positioned under [On].
|               The 'Off'state electrical models are positioned under [Off].
| Usage Rules:  These keywords are only valid for Series_switch Model_types.
|               Only keywords associated with Series_switch electrical models
|               are permitted under [On] or [Off].  The Series electrical
|               models describe the path for one state only and do not use
|               use the [On] and [Off] keywords.
|------------------------------------------------------------------------------
[On]
| ...  On state keywords such as [R_series], [Series Current], 
| ...  [Series MOSFET]
[Off]
| ...  Off state keywords such as [R_series], [Series Current] 
|==============================================================================
|    Keywords:  [R_series], [L_series], [R_l_series], [C_series]. [L_c_series],
|               [R_c_series]
|    Required:  Yes, if they exist in the device
| Description:  The data for these keywords allow the definition of Series or
|               Series_switch R, L or C paths.   
| Usage Rules:  For each of these keywords, the three columns hold the
|               typical, minimum, and maximum resistance values.  The 
|               three entries must be placed on a single line
|               and must be separated by at least one white space or tab
|               character.  All three columns are required under these
|               keywords.  However, data is only required in the typical
|               column.  If minimum and/or maximum values are not 
|               available, the reserved word "NA" must be used.
| Other Notes:  This series RLC model is defined to allow IBIS to model
|               simple passive devices and/or parasitics.
|
|               These keywords are valid only for Series or Series_switch
|               Model_types.
|
|               The model is:
|
|                         R_series
|                     +---/\/\/\/\--------------------+
|                     |                               |
|              Pin 1  |   L_series  R_l_series        |  Pin 2
|                 <---+---@@@@@@@@-/\/\/\/\-----------+--->
|                     |                               |
|                     |   | |                         |
|                     +---| |--@@@@@@@@@---/\/\/\/\---+
|                         | |  L_c_series  R_c_series
|                       C_series
|
|               [R_l_series] shall be defined only if [L_series] exists.
|
|               [R_c_series] and [L_c_series] shall be defined only if
|               [C_series] exists.
|------------------------------------------------------------------------------
| variable      R(typ)          R(min)          R(max)
[R_series]      8ohm            6ohm            12ohm
|
| variable      L(typ)          L(min)          L(max)
[L_series]      5nH             NA              NA
| variable      R(typ)          R(min)          R(max)
[R_l_series]    4ohm            NA              NA
|
| variable      C(typ)          C(min)          C(max)  | The other elements
[C_series]      50pF            NA              NA      | are 0 impedance
|
|==============================================================================
|     Keyword:  [Series Current]
|    Required:  Yes, if they exist in the device
| Description:  The data points under this keyword define the V/I curves for
|               voltages measured at Pin 1 with respect to Pin 2.  Currents 
|               are considered positive if they flow into Pin 1.  Pins 1 and 
|               2 are listed under the [Series Pin Mapping] keyword. 
|               
| Usage Rules:  The first column contains the voltage value, and the 
|               three remaining columns hold the typical, minimum, and 
|               maximum current values.  The four entries, Voltage, 
|               I(typ), I(min), and I(max) must be placed on
|               a single line and must be separated by at least one white
|               space or tab character.
|
|               All four columns are required under these keywords.  
|               However, data is only required in the typical column.  
|               If minimum and/or maximum current values
|               are not available, the reserved word "NA" must be used. 
|               "NA" can be used for currents in the typical column, 
|               but numeric values MUST be specified for the
|               first and last voltage points on any V/I curve. 
|               Each V/I curve must have at least 2, but not more 
|               than 100, voltage points.
|
| Other Notes:  There is no monotonicity requirement. However
|               the model supplier should realise that it may
|               not be possible to derive a behavioural model
|               from non-monotonic data.
|
|               These keywords are valid only for Series or Series_switch
|               Model_types.
|
|               The model is:
|
|                                Table Current
|                                   ------>
|                             +  Table Voltage  -
|                          Pin 1  |---------|  Pin 2
|                             <---+         +--->
|                                 |---------|
|
|------------------------------------------------------------------------------
[Series Current]
|
|  Voltage   I(typ)    I(min)    I(max)
|
   -5.0V  -3900.0m  -3800.0m  -4000.0m
   -0.7V    -80.0m    -75.0m    -85.0m
   -0.6V    -22.0m    -20.0m    -25.0m
   -0.5V     -2.4m     -2.0m     -2.9m
   -0.4V      0.0m      0.0m      0.0m
    5.0V      0.0m      0.0m      0.0m
|==============================================================================
|     Keyword:  [Series MOSFET]
|    Required:  Yes, for series MOSFET switches
| Description:  The data points under this keyword define the V/I curves for
|               voltages measured at Pin 2 for a given Vds setting.  Currents 
|               are considered positive if they flow into Pin 1.  Pins 1 and 
|               2 are listed under the [Series Pin Mapping] keyword.
|  Sub-Params:  Vds
| Usage Rules:  The first column contains the voltage value, and the 
|               three remaining columns hold the typical, minimum, and 
|               maximum current values.  The four entries, Voltage, 
|               I(typ), I(min), and I(max) must be placed on
|               a single line and must be separated by at least one white
|               space or tab character.
|
|               All four columns are required under these keywords.  
|               However, data is only required in the typical column.  
|               If minimum and/or maximum current values
|               are not available, the reserved word "NA" must be used. 
|               "NA" can be used for currents in the typical column, 
|               but numeric values MUST be specified for the
|               first and last voltage points on any V/I curve. 
|               Each V/I curve must have at least 2, but not more 
|               than 100, voltage points.
|
| Other Notes:  There is no monotonicity requirement. However
|               the model supplier should realise that it may
|               not be possible to derive a behavioural model
|               from non-monotonic data.
|
|               The model is:
|
|                                Table Current
|                                   ------->
|                               +     Vds     -
|                             Pin 1           Pin 2
|                               <---|     |--->  +
|                               d   |_____| - s
|                                    --+-- Vgs   Vs
|                                      | g  +
|                                                -
|
|                       Vg = [Voltage Range] = Vcc
|                       Vgs = Table Voltage = Vtable = Vcc - Vs
|                       Ids = Table Current for a given Vcc and Vds
|
|               Internal logic that is generally referenced to the power rail
|               is used to set the MOSFET switch to its 'On' state.  Thus the
|               [Voltage Range] settings itself provide the assumed gate 
|               voltages.  If the [POWER Clamp Reference] exists, it overrides
|               the [Voltage Range] value.  The table entries are actually
|               the Vgs values referenced to the power rail.  The polarity
|               conventions are identical with those used for other tables that
|               are referenced to power rails.  Thus the voltage column can
|               be view as a table defining the source voltages Vs according
|               to the convention:  Vtable = Vcc - Vs.
|
|               If the switch is used in an application such as interfacing
|               between 3.3 V and 5.0 V logic, the Vcc may be biased at a 
|               voltage (such as 4.3 V) that is different from a power rail
|               voltage (such as 5.0 V) that is used to create the model.  Just
|               readjust the [Voltage Range] entries (or [POWER Clamp
|               Reference] entries).
|
|               The model data is used to approximate the On state relationship
|               between Ids, Vds for a given Vgs: Ids = f(Vds) for a given Vgs.
|               This relationship is used as a series element to solve for the
|               voltages on each side of the switch during analysis.
|
|               One fundamental assumption in the MOSFET switch model is that
|               it operates in a symmetrical manner.  The tables and
|               expressions are given assuming that Vd => Vs.  If Vd < Vs,
|               then apply the same relationships under the assumption that
|               the source and drain nodes are interchanged.  A consequence of
|               assumption is that the Vds subparameter is constrained to
|               values Vds > 0.  It is assumed that with Vds = 0 the currents
|               will be 0 mA.  A further consequence of this assumption that
|               would be embedded in the analysis process is that the voltage
|               table is based on the side of the device with the lowest
|               voltage (and that side is defined as the source).  Thus the
|               analysis must allow current to flow both in directions, as
|               would occur due to refections when the switch is connected
|               in series with an unterminated transmission line.
|
|               If only one [Series MOSFET] table is supplied (as a first
|               order approximation), the functional relationship is assumed
|               to be Ids = (Itable) * Vds / Vgs.  In practice, the Ids
|               value will be less than the the value predicted when Vds > Vgs.
|   
|               If two [Series MOSFET] tables are supplied, a quadratic
|               approximation can be used:  
|
|                  Ids = k1 * Vds + k2 * Vds * Vds, for Vds < -k1 /2 * K2,
|
|               and the maximum Ids value
| 
|                  Ids = -k1 * k1 / k2, for Vds => -k1 / 2 * k2.
|
|               The values of k1 and k2 are derived for current value of Vs
|               by solving the equations given the two Ids values for the two
|               Vds subparameter values.
|
|               If more than two [Series MOSFET] tables are supplied, the
|               analysis is simulator dependent.  A simulator may still use
|               only the first two tables or may use some interpolation and
|               extrapolation algorithm to predict Ids.
|------------------------------------------------------------------------------
[On]
[Series MOSFET]
Vds = 0.5      
|  Voltage   I(typ)    I(min)    I(max)
|
    5.0V    146.9m      87.4m    226.4m     | Defines the Ids current as a
    4.0V    119.1m      70.0m    185.3m     | function of Vgs, for Vds = 0.5
    3.0V     82.5m      47.7m    130.1m 
    2.0V     28.4m      15.2m     46.4m     | Normally, more data points would
    1.0V     43.9p      37.1p     47.8p     | be provide than shown here
    0.0V      0.0p       0.0p      0.0p
|
[Series MOSFET]
Vds = 1.0     
|  Voltage   I(typ)    I(min)    I(max)
|
    5.0V    257.9m     153.3m    399.5m     | Defines the Ids current as a
    4.0V    203.0m     119.4m    317.3m     | function of Vgs, for Vds = 1.0
    3.0V    129.8m      74.7m    205.6m 
    2.0V     31.2m      16.6m     51.0m
    1.0V     52.7p      46.7p     56.7p
    0.0V      0.0p       0.0p      0.0p
|
|==============================================================================

In the NOTES ON DATA DERIVATION METHOD add to the table in section 2) two
lines so that the first part of section 2) reads:

| 2) Voltage Ranges:
|    Points for each curve must span the voltages listed below:
|
|       Curve                   Low Voltage             High Voltage
|       -----------             -----------             ------------
|       [Pulldown]              GND - POWER             POWER + POWER
|       [Pullup]                GND - POWER             POWER + POWER
|       [GND Clamp]             GND - POWER             GND + POWER
|       [POWER Clamp]           POWER                   POWER + POWER
|       [Series Current]        GND - POWER             GND + POWER
|       [Series MOSFET]         GND                     GND + POWER
|

In the NOTES ON DATA DERIVATION METHOD section 5) is added:

| 5) Series MOSFET Table Extractions:
|    An extraction circuit is set up according to the figure below.  The
|    switch is configured into the 'On' state.  This assumes that the Vcc
|    voltage will be applied to the gate by internal logic.  Designate one
|    pin of the switch as the source node, and the other pin as the drain
|    node.  The Table Currents designated as Ids are derived directly as a
|    function of the Vs voltage at the source node as Vs is varied from 0
|    to Vcc.  This voltage is entered as a Vgs value as a consequence of
|    the relationship Vtable = Vgs = Vcc - Vs.  Vds is held constant by
|    having a fixed voltage Vds between the drain and source nodes.  Note,
|    Vds > 0 V.  The current flowing into the drain is tabulated in the table
|    for the corresponding Vs points.
|
|                                  +-------+
|                                + | Fixed | -
|                           +------|  Vds  |-------+
|                           |      +-------+       |
|                           |  Ids = Table Current |
|                           | --->                 |
|                           +---<---|     |--->----+-----+  
|                               d   |_____| - s          | +
|                                    --+-- Vgs       +---+---+
|                                      | g  +        | Sweep |
|                                                    |   Vs  |
|                                                    +---+---+
|                                                        | -
|                                                       GND
|
|                  Example of Series MOSFET Table Extraction
|

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

BIRDS41 and 41.1:

Bus-switches (ex: 74LVX3L383 from NS or 74CBT3383 from TI) are
increasingly being used on high-speed boards. They cannot be
modelled by IBIS 2.1. 

This BIRD allows the definition of a series device which is
connected between any two pins. If this device is a non-linear
resistor (e.g. a diode), then it can be described by an I/V
table.  

One approach suggested was to force one of the pins to Vcc or
ground, and then reuse the [Pullup] and [Pulldown] tables.
This approach will not correctly model bus-switches.

So instead, a new keword [Series_Impedance] is defined. This
has a R_load keyword. For bus-switches, R_load should be set
to a value >> 5ohms in order to allow the Ron vs. bias voltage
(as given in application notes) curves be obtained.

The author would like to suggest an extra keyword [Impedance] to
"replace", or provide an alternative, to the pullup, pulldown,
etc. This keyword would have a mode subparameter, with
values Pullup, Pulldown and Hi-state. This would allow 3 sets of
measurements be included in the IBIS file, without any fiddly
subtaracting of curves, or confusing Vcc relativity.
 
As suggested by Chris Reid, a state entry is added to allow
crossbar switches be modelled. It is expected that the simulator
detect these states, then ask the user to choose one of them.
Is this information really in the right place??

Often a bus-switch is used to provide 3.3V to 5V translation.
If this is to be modelled in IBIS, then a second model must
be generated for Vcc=4.3V. Use the [Model selector] keyword
to allow the correct buffer be chosen.

Additional series RLC paths are defined in this BIRD.
An alternative solution would be to allow an arbitrary path be 
defined, similar to Bird 36.1 prior to the amputation of connector
support.
                             
BIRD41.2: 

The RLC proposal is retained.

The [Series Impedance] proposal is split into [Series Current] and [Series
MOSFET].  The [Series Current] represents a simple V/I relationship ACROSS
the series element and would be suitable for a series diode model.  This
model is sensitive to the actual pin assignment polarity.  The
[Series MOSFET] model representative of series switches needs some tables
which are specific to this device in order to provide consistency within
the IBIS architecture.  The tables need to be made relative to the positive
voltage rail.  One or more tables need to be provided under precisely defined
conditions.  The [Series MOSFET] model is assumed to be symmetrical and
not dependent on the which side "Pin 1" and "Pin 2" are designated.  These
individual considerations justify providing two separate keywords.

[On] and [Off] keywords are added under [Model] and are used when the 
Model_type is Series_switch.  This ensures that the model function is
clearly indicated by the Model_type subparameter, and the electrical
characteristics of the 'On' and 'Off' states are clearly indicated within
the model.  It might be argued that the Series_switch Model_type is already
redundant, but it may be necessary so that the Series_switch information
is properly stored.

Under [Component], a [Series Pin Mapping] is defined to map the series
pins with the Model_name and also with a Function Table Group designation.
For just series elements, this designator is not used and can be any
any alphanumeric word.  The Series element is assumed to be 'On'.  However, 
for actual series switch components, a common control often is used
for groups of switches that have their switching action sychronized.
The Function Table Group designator is used to associate those switches
that have sychronized switching action.  The [Series Pin Table] keyword
is added to give the allowable combinations of sychronized switching
states for the set of groups defined.

A number of other details that have been considered are embedded in this
expanded proposal.  Most of the considerations relate to consistency and
compatibility with the existing IBIS syntax and implicit conventions.

Any shunt element can be provided by separate [Model]s.  This will include
the package parasitics on EACH of the pins.  The existing [Pin] keyword
is used for this purpose.  If clamping diodes exist, they would be 
entered as "Terminator" models and can be assigned to the appropriate
pin directly.  This may be a complication, but allows consistency with
the existing IBIS syntax.

C_comp is not defined for series elements.  It could be used as a residual
capacitance ACROSS the series element.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

41   Submitted Feb 12, 1997 

41.1 Submitted Feb 17, 1997
     - Better explanation of State column
     - Define new [Series Impedance] keyword
     - Define series RLC path (to model passive device + parasitics)

42.1 Submitted May 14, 1997
     - Extensive revisions based on two IBIS meetings and other notes

---

From: John V Fitzpatrick <[email-masked]>
Date: Thu, 15 May 1997 11:11:29 +0200

Bob,

Excellent work! The new Bird seems to cover all important issues,
especially how to model those infamous FET switches.

I'm not competent enough to give detailed comment on your 
HSpice model: just happy that the model is derived from simple
tables. (Bench measurements of a FET device will be trickier
than for simple I/V measurements with a fixed load, but I can live
with that). 

I hope that, before voting tales place, at least one other 
simulator company will confirm to the reflector that they will
use this model.

Comments on some minor points are included below.

Once again, thanks agin for pushing though this Bird.

All the best,
John

_________________________________________________________________

Comments:

1) Voltage ranges

   Ok for [Series Current]. This is exactly as for [GND Clamp], with
   the same problems of excessively large current values.
   (Would it be useful in IBIS 3 to introduce the notion of a maximum
    current, possibly set by the model creator?)

   However, for [Series MOSFET], the limits should be from
   GND-POWER to POWER+POWER. The upper range is important,
   because a series MOSFET is often used to clip signals 
   e.g. in 5V to 3.3V conversion.

2) Parallel elements

   The Bird does not explain how to treat parallel elements e.g.
   C_comp, GND and POWER clamps, RC terminations. In fact, it would
   appear to disallow the combination of series and parallel elements
   (with the exception of C_comp?).

   I think that parallel elements should be allowed, and be defined
   to exist at Pin 1:

          -+- POWER
           |
         +-+-+
         |   | clamp or RC termination 
         |   | 
         |   | 
         +-+-+
   Pin 1   |                  +-----------+ Pin 2
     ------+---------------+--+  Series   +---------
         +-+-+             |  +-----------+
         |   | Clamp or    |
         |   | RC term-  --+--
         |   | ination   --+-- C_comp
         +-+-+             |
           |               |
          -+- GND         -+- GND

   Aside:
   I think it would be complicated to allow parallel elements on
   both sides of the series element. There would be however one
   potential application for this: the simple connector model we
   all use:

               +--------+ 
      ------+--+  L, R  +-----+-------
            |  +--------+     |
            |                 |
          --+--             --+--
          --+-- C           --+--
            |                 |
            |                 |
           -+- GND           -+- GND

3) Function table

   Two names are used for the function table:
      [Series Function Table] and [Series Pin Table]

   I think the first name is the better, but because the defined
   states are ON or OFF, the name should include the word "switch"
   e.g. [Series Switch Groups]

4) RLC model

   In the example, it is clear that, if not defined, R_c_series,
   L_c_series and R_l_series are short-circuits. Perhaps this should
   also be explained in the text?

5) [On] and [Off]
 
   State that keywords common to both [On] and [Off] should
   appear before the keywords [On] and [Off].

   Example:
   If a switch has a constant [C_series] part, must it appear twice
   (after each of the [On] and [Off] keywords) or once (before the
   [On] and [Off] keywords)?

-- 
John Fitzpatrick   <[email-masked]>    
Alcatel Telecom, 4 rue de Broglie, 22304 Lannion, France
Tel: +33(0)2.96.04.79.33  Fax: +33(0)2.96.04.85.09